export declare type Action = (node: HTMLElement, parameters?: unknown) => {
    update?: (parameters: unknown) => unknown;
    destroy?: () => void;
};
/**
 * With the `use-clipboard` action, text passed into the text param will be copied to the users clipboard.
 *
 * ```tsx
 *  <button use:clipboard={'This text will be copied'}>Copy Me</button>
 * ```
 * @param text - The text that you want to be copied when the DOM element is clicked
 * @see https://svelteui.org/actions/use-clipboard
 */
export declare function clipboard(node: HTMLElement, text: string): ReturnType<Action>;
